# -*- coding: utf-8 -*-
from openerp.http import request as r

def get_sale_commission():
    user_store = r.env.user.store_id.id

    query = '''
        SELECT
            commission.id,
            commission.commission_type,
            commission.name,
            commission.invoice_state,
            commission.amount_base_type,
            commission.company_id,
            commission.fix_qty
        FROM sale_commission as commission
        WHERE commission.active = true
        GROUP BY
            commission.id
    '''

    r.cr.execute(query)
    return [
        {
            'id': j[0],
            'commission_type': j[1],
            'name': j[2],
            'invoice_state': j[3],
            'amount_base_type': j[4],
            'company_id': j[5],
            'fix_qty': j[6],
        } for j in r.cr.fetchall()
    ]
